Bug 20758 - refactor CSSStyleSelector transform code
Summary: refactor CSSStyleSelector transform code
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac OS X 10.5
: P2 Normal
Assignee: Dean Jackson
URL:
Keywords:
Depends on: 20770 20771
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-09 19:13 PDT by Dean Jackson
Modified: 2008-09-11 15:40 PDT (History)
1 user (show)

See Also:


Attachments
refactoring patch (14.11 KB, patch)
2008-09-09 19:20 PDT, Dean Jackson
no flags Details | Formatted Diff | Diff
updated with changelog (14.59 KB, patch)
2008-09-10 15:48 PDT, Dean Jackson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2008-09-09 19:13:58 PDT
CSSStyleSelector has a huge ugly chunk of code in the switch statement. Move that to a new function.
Comment 1 Dean Jackson 2008-09-09 19:20:15 PDT
Created attachment 23311 [details]
refactoring patch

needs tests for transforms!!
Comment 2 Dean Jackson 2008-09-10 15:27:58 PDT
Adding dependency to 20771 which has transform tests

Comment 3 Dean Jackson 2008-09-10 15:48:33 PDT
Created attachment 23332 [details]
updated with changelog
Comment 4 Dean Jackson 2008-09-10 15:51:03 PDT
Tested with the new tests in 20771

Comment 5 Dean Jackson 2008-09-10 16:03:27 PDT
Looks like 20770 does this as well.

Comment 6 Dean Jackson 2008-09-11 15:39:51 PDT
This is fixed in 20770